Bug 149800 - Unwanted white border in exported SVG
Summary: Unwanted white border in exported SVG
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 target:7.4.4
Keywords: filter:svg
: 149801 (view as bug list)
Depends on:
Blocks: SVG-Save
  Show dependency treegraph
 
Reported: 2022-07-01 07:46 UTC by Dolon
Modified: 2022-11-23 08:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example odg with explanation how to force the error (16.34 KB, application/vnd.oasis.opendocument.graphics)
2022-07-01 07:46 UTC, Dolon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dolon 2022-07-01 07:46:39 UTC
Created attachment 181052 [details]
Example odg with explanation how to force the error

Rectangulars without border line show a 0,3 mm thick white border line when they are exported to svg file. This error only occurs when the rectangular has transparency enabled.

This happens on Windows 10 as well as on an iMac.
Comment 1 Buovjaga 2022-07-01 08:55:01 UTC
*** Bug 149801 has been marked as a duplicate of this bug. ***
Comment 2 Rainer Bielefeld Retired 2022-07-01 17:36:14 UTC
REPRODUCIBLE with reporter's sample documentand Installation of Version: 7.3.3.2 (x64) Build ID: d1d0ea68f081ee2800a922cac8f79445e4603348
CPU threads: 12; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: de-DE |  Calc: threaded | ElementaryTheme | My normal User Profile:

1. Open sample document
2. Select complete drawing shape by mouse frame
3. File  →  Export selection to SVG 
   » Expected: drawing shape looks exactly as in .odg (as it does in all other
               drawing format exports I tested (gif, tiff, ...)
   » Actual: ligth grey border around rectangle 2


a)Same already with Server Installation of Version:  4.0.0.3 WIN10
Build-ID  7545bee9c2a0782548772a21bc84a9dcc583b89; Special devUserProfile

b)Still REPRODUCIBLE with Server Installation of Version: 7.4.0.0.alpha0+ (x64)  Build ID b871abad383583f02eb49c7e49aeae01f6941072
CPU threads: 12; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-US  |  Calc: CL  |  Auto Colibre Theme  |  Special devUserProfile

c) Rectangle "2" has on margin line in .odg

d) No obvious DUP found with Query <https://bugs.documentfoundation.org/buglist.cgi?cmdtype=dorem&remaction=run&namedcmd=DUPs149800&sharer_id=19321> (except Bug 149801)
Comment 3 Commit Notification 2022-11-21 07:08:48 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/07711c8482714f970c57688629c591f8f3aa135f

tdf#149800 SVG export: remove extra white line of semi-transparent shape

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 László Németh 2022-11-21 07:12:37 UTC
@Dolon: many thanks for the detailed bug report!

@Buovjaga, Rainer Bielefeld: many thanks for the QA!

Commit description:

tdf#149800 SVG export: remove extra white line of semi-transparent shape

A shape is exported using two svg:paths, first one is for the
fill, and the second one is for the line. Semi-transparency of
shapes enabled the disabled stroke of the first path, resulting
an ~1 pt width extra white line behind the normal line of the
shape. It was visible only, if the normal shape line was thinner
than 1 pt, or if the normal line was semi-transparent or disabled.
The extra line got the same transparency value, as the fill,
so its visibility depended on that, too.
Comment 5 Commit Notification 2022-11-23 08:54:28 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/5f1c6c71df2e463f4bc9444ce44e941c942610e8

tdf#149800 SVG export: remove extra white line of semi-transparent shape

It will be available in 7.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.